'use strict';

exports.__esModule = true;

var _path = require('path');

var _cleanWebpackPlugin = require('clean-webpack-plugin');

var _cleanWebpackPlugin2 = _interopRequireDefault(_cleanWebpackPlugin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = ({ isProd, dest }) => {
  return {
    module: {
      rules: [{
        test: /\.js$/,
        exclude: /(node_modules)/,
        use: {
          loader: 'babel-loader',
          options: {
            presets: [[require.resolve('babel-preset-env'), {
              targets: { browsers: ['last 2 Chrome versions', 'Safari 10'] },
              debug: !isProd
            }]],
            plugins: [[require.resolve('babel-plugin-transform-object-rest-spread'), { useBuiltIns: true }]]
          }
        }
      }]
    },
    plugins: isProd ? [new _cleanWebpackPlugin2.default([(0, _path.resolve)(dest || 'dist')], { allowExternal: true, verbose: false })] : []
  };
};