'use strict';

exports.__esModule = true;
const BROWSERS = ['> 1%', 'last 2 versions', 'Firefox ESR', 'not ie <= 11'];

exports.default = ({ isProd }) => {
  return {
    module: {
      rules: [{
        test: /\.js$/,

        use: {
          loader: 'babel-loader',
          options: {
            presets: [[require.resolve('babel-preset-env'), {
              targets: { browsers: BROWSERS },
              debug: !isProd
            }]],
            plugins: [[require.resolve('babel-plugin-transform-object-rest-spread'), { useBuiltIns: true }]]
          }
        }
      }]
    }
  };
};